### Constructor

# Shumate TileDownloader new

#### Declaration [src]

    ShumateTileDownloader*
    shumate_tile_downloader_new (
      const char* url_template
    )

#### Description [src]

Creates a new `ShumateTileDownloader` that fetches tiles from an API and caches them on disk.

See `ShumateTileDownloader:url-template` for the format of the URL template.

#### Parameters

`url_template` | `const char*`
| A URL template to fetch tiles from.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `ShumateTileDownloader`
| A newly constructed `ShumateTileDownloader`
| The caller of the function takes ownership of the data, and is responsible for freeing it.